org.eclipse.gef4.zest.core.widgets

## Interface IContainer

All Known Implementing Classes:
  GraphContainer, GraphWidget

    public interface IContainer

### Method Summary

Methods
`void` `addNode(GraphNode graphNode)`
`void` `addSubgraphFigure(org.eclipse.draw2d.IFigure figure)`
`void` `applyLayout()`
`java.util.List<GraphConnection>` `getConnections()` Returns list of connections laying inside this container.
`GraphWidget` `getGraph()`
`Widget` `getItem()`
`int` `getItemType()`
`org.eclipse.gef4.geometry.planar.Rectangle` `getLayoutBounds()`
`org.eclipse.gef4.zest.core.widgets.InternalLayoutContext` `getLayoutContext()`
`java.util.List<GraphNode>` `getNodes()`
`void` `setLayoutAlgorithm(org.eclipse.gef4.layout.LayoutAlgorithm algorithm, boolean apply)`

### Method Detail

#### getGraph

    GraphWidget getGraph()

#### getItem

    Widget getItem()

Since:
  2.0

#### getNodes

    java.util.List<GraphNode> getNodes()

#### getConnections

    java.util.List<GraphConnection> getConnections()

Returns list of connections laying inside this container. Only connections which both source and target nodes lay directly in this container are returned.

Returns:
Since:
  2.0

#### addNode

    void addNode(GraphNode graphNode)

Parameters:
  `graphNode` -

#### addSubgraphFigure

    void addSubgraphFigure(org.eclipse.draw2d.IFigure figure)

Parameters:
  `figure` -

#### getItemType

    int getItemType()

#### getLayoutBounds

    org.eclipse.gef4.geometry.planar.Rectangle getLayoutBounds()

Returns:
Since:
  2.0

#### getLayoutContext

    org.eclipse.gef4.zest.core.widgets.InternalLayoutContext getLayoutContext()

Returns:

#### applyLayout

    void applyLayout()

#### setLayoutAlgorithm

    void setLayoutAlgorithm(org.eclipse.gef4.layout.LayoutAlgorithm algorithm,
                          boolean apply)